Name:		xen-livepatch-build-tools
Version:	0.0.0
Release:	0.4.bb75037%{?dist}
Summary:	Livepatch tools to generate live patches of xen hypervisors.

Group:		Development/Libraries
License:	GPLv2
URL:		https://xenbits.xen.org/git-http/livepatch-build-tools.git
Source0:	xen-livepatch-build-tools-0.0.0.tar.xz


BuildRequires:	elfutils-libelf-devel gcc
#Requires:	

%description
Livepatch tools to generate payloads for non-disruptive patching of hypervisor.


%prep
%setup -q

%build
make %{?_smp_mflags}


%install
%make_install PREFIX=/usr


%files
%{_bindir}/livepatch-build
%dir %{_libexecdir}/livepatch-build-tools/
%{_libexecdir}/livepatch-build-tools/*

%changelog
* Tue Mar 03 2020 Michael Young <m.a.young@durham.ac.uk> - 0.0.0-0.4.bb75037
- update to latest upstream commit
- add gcc BuildRequires

* Fri Nov 01 2019 Michael Young <m.a.young@durham.ac.uk> - 0.0.0-0.3.8ddcfae
- update to latest upstream commit

* Sun Nov 12 2017 Michael Young <m.a.young@durham.ac.uk> - 0.0.0-0.3.0c10457
- update latest upstream commit, added the proposed patches

* Sat Jun 10 2017 Michael Young <m.a.young@durham.ac.uk> - 0.0.0-0.2.2af6f1a.1
- test a couple of proposed patches

* Thu Dec 22 2016 Michael Young <m.a.young@durham.ac.uk> - 0.0.0-0.2.2af6f1a
- update to latest upstream commit, remove patches now upstream

* Thu Nov 24 2016 Michael Young <m.a.young@durham.ac.uk> - 0.0.0-0.1.f875c5a.1
- create-diff-object: Update fixup offsets in .rela.ex_table
- Fix patch creation with GCC 6.1+

* Sat Sep 10 2016 Michael Young <m.a.young@durham.ac.uk> - 0.0.0-0.1.f875c5a
- Create package for xen livepatch build tools
